Fix the logic to support version 1.0.0!